package com.ruoyi.project.intact.his.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 设备完整性-管件台账变更历史记录对象 t_intacthi_gj
 *
 * @author ruoyi
 * @date 2022-06-29
 */
public class TIntactHiGj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 装置名称 */
    @Excel(name = "装置名称")
    private String plantCode;

    /** 单元 */
    @Excel(name = "单元")
    private String unit;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String devname;

    /** 设备位号 */
    @Excel(name = "设备位号")
    private String devno;

    /** 投用年月 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "投用年月", width = 30, dateFormat = "yyyy-MM-dd")
    private Date submitdate;

    /** 状态 */
    @Excel(name = "状态")
    private Long status;

    /** 状态 1 ：正常 ；0：删除 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private Long createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private Long updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 审核状态 */
    @Excel(name = "审核状态")
    private Long approveStatus;

    /** 注册代码 */
    @Excel(name = "注册代码")
    private String regno;

    /** 使用证编号 */
    @Excel(name = "使用证编号")
    private String useno;

    /** 上次年检时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "上次年检时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date warnDate;

    /** 检测周期 */
    @Excel(name = "检测周期")
    private Long warnCycle;

    /** 下次年检时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "下次年检时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date nextWarnDate;

    /** 预警标识 */
    @Excel(name = "预警标识")
    private Long warnFlag;

    /** 管道级别 */
    @Excel(name = "管道级别")
    private String grade;

    /** 设计单位 */
    @Excel(name = "设计单位")
    private String designer;

    /** 安装单位 */
    @Excel(name = "安装单位")
    private String installer;

    /** 材质 */
    @Excel(name = "材质")
    private String material;

    /** 直径 */
    @Excel(name = "直径")
    private String dia;

    /** 厚度等级 */
    @Excel(name = "厚度等级")
    private String scheduleNo;

    /** 长度 */
    @Excel(name = "长度")
    private String length;

    /** 起点 */
    @Excel(name = "起点")
    private String starting;

    /** 终点 */
    @Excel(name = "终点")
    private String ending;

    /** 设计压力 */
    @Excel(name = "设计压力")
    private String desPressure;

    /** 设计温度 */
    @Excel(name = "设计温度")
    private String desTemp;

    /** 工作压力 */
    @Excel(name = "工作压力")
    private String optPressure;

    /** 工作温度 */
    @Excel(name = "工作温度")
    private String optTemp;

    /** 介质 */
    @Excel(name = "介质")
    private String medium;

    /** 年度检查结论 */
    @Excel(name = "年度检查结论")
    private String checkConclusion;

    /** 检验单位 */
    @Excel(name = "检验单位")
    private String checkUnit;

    /** 安全状况等级 */
    @Excel(name = "安全状况等级")
    private String safeClass;

    /** 报告编号 */
    @Excel(name = "报告编号")
    private String reportNo;

    /** 最新申请时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "最新申请时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date approveTime;

    /** 状态修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "状态修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date changeTime;

    /** PM维修组 */
    @Excel(name = "PM维修组")
    private String plantMaint;

    /** 装置维修工程师 */
    @Excel(name = "装置维修工程师")
    private String engineer;

    /** 焊口数量 */
    @Excel(name = "焊口数量")
    private String weldNumber;

    /** 敷设方式 */
    @Excel(name = "敷设方式")
    private String layingMethod;

    /** 绝热层代码 */
    @Excel(name = "绝热层代码")
    private String adiabatic;

    /** 防腐层代码 */
    @Excel(name = "防腐层代码")
    private String antiCorrosion;

    /** 绝热层厚度 */
    @Excel(name = "绝热层厚度")
    private String adiabaticThickness;

    /** 是否涉危化品 */
    @Excel(name = "是否涉危化品")
    private String isDanger;

    /** 安装日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "安装日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date installDate;

    /** 年度检查日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "年度检查日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date yearWarnDate;

    /** 年度检查日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "年度检查日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date yearNextWarnDate;

    /** 年度检查报告编号 */
    @Excel(name = "年度检查报告编号")
    private String yearReportNo;

    /** 管道编号是否变色 */
    @Excel(name = "管道编号是否变色")
    private Long isRepeat;

    /** 种类 */
    @Excel(name = "种类")
    private Long type;

    /** 安装位置 */
    @Excel(name = "安装位置")
    private String position;

    /** 尺寸 */
    @Excel(name = "尺寸")
    private Long deviceSize;

    /** 泄空方式 */
    @Excel(name = "泄空方式")
    private String leakageMode;

    /** 档案 */
    @Excel(name = "档案")
    private String archives;

    /** 设备id */
    @Excel(name = "设备id")
    private Long devId;

    /** 状态0:改造,1:修改 */
    @Excel(name = "状态0:改造,1:修改")
    private Long hiType;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setUnit(String unit)
    {
        this.unit = unit;
    }

    public String getUnit()
    {
        return unit;
    }
    public void setDevname(String devname)
    {
        this.devname = devname;
    }

    public String getDevname()
    {
        return devname;
    }
    public void setDevno(String devno)
    {
        this.devno = devno;
    }

    public String getDevno()
    {
        return devno;
    }
    public void setSubmitdate(Date submitdate)
    {
        this.submitdate = submitdate;
    }

    public Date getSubmitdate()
    {
        return submitdate;
    }
    public void setStatus(Long status)
    {
        this.status = status;
    }

    public Long getStatus()
    {
        return status;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(Long createrCode)
    {
        this.createrCode = createrCode;
    }

    public Long getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(Long updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public Long getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setApproveStatus(Long approveStatus)
    {
        this.approveStatus = approveStatus;
    }

    public Long getApproveStatus()
    {
        return approveStatus;
    }
    public void setRegno(String regno)
    {
        this.regno = regno;
    }

    public String getRegno()
    {
        return regno;
    }
    public void setUseno(String useno)
    {
        this.useno = useno;
    }

    public String getUseno()
    {
        return useno;
    }
    public void setWarnDate(Date warnDate)
    {
        this.warnDate = warnDate;
    }

    public Date getWarnDate()
    {
        return warnDate;
    }
    public void setWarnCycle(Long warnCycle)
    {
        this.warnCycle = warnCycle;
    }

    public Long getWarnCycle()
    {
        return warnCycle;
    }
    public void setNextWarnDate(Date nextWarnDate)
    {
        this.nextWarnDate = nextWarnDate;
    }

    public Date getNextWarnDate()
    {
        return nextWarnDate;
    }
    public void setWarnFlag(Long warnFlag)
    {
        this.warnFlag = warnFlag;
    }

    public Long getWarnFlag()
    {
        return warnFlag;
    }
    public void setGrade(String grade)
    {
        this.grade = grade;
    }

    public String getGrade()
    {
        return grade;
    }
    public void setDesigner(String designer)
    {
        this.designer = designer;
    }

    public String getDesigner()
    {
        return designer;
    }
    public void setInstaller(String installer)
    {
        this.installer = installer;
    }

    public String getInstaller()
    {
        return installer;
    }
    public void setMaterial(String material)
    {
        this.material = material;
    }

    public String getMaterial()
    {
        return material;
    }
    public void setDia(String dia)
    {
        this.dia = dia;
    }

    public String getDia()
    {
        return dia;
    }
    public void setScheduleNo(String scheduleNo)
    {
        this.scheduleNo = scheduleNo;
    }

    public String getScheduleNo()
    {
        return scheduleNo;
    }
    public void setLength(String length)
    {
        this.length = length;
    }

    public String getLength()
    {
        return length;
    }
    public void setStarting(String starting)
    {
        this.starting = starting;
    }

    public String getStarting()
    {
        return starting;
    }
    public void setEnding(String ending)
    {
        this.ending = ending;
    }

    public String getEnding()
    {
        return ending;
    }
    public void setDesPressure(String desPressure)
    {
        this.desPressure = desPressure;
    }

    public String getDesPressure()
    {
        return desPressure;
    }
    public void setDesTemp(String desTemp)
    {
        this.desTemp = desTemp;
    }

    public String getDesTemp()
    {
        return desTemp;
    }
    public void setOptPressure(String optPressure)
    {
        this.optPressure = optPressure;
    }

    public String getOptPressure()
    {
        return optPressure;
    }
    public void setOptTemp(String optTemp)
    {
        this.optTemp = optTemp;
    }

    public String getOptTemp()
    {
        return optTemp;
    }
    public void setMedium(String medium)
    {
        this.medium = medium;
    }

    public String getMedium()
    {
        return medium;
    }
    public void setCheckConclusion(String checkConclusion)
    {
        this.checkConclusion = checkConclusion;
    }

    public String getCheckConclusion()
    {
        return checkConclusion;
    }
    public void setCheckUnit(String checkUnit)
    {
        this.checkUnit = checkUnit;
    }

    public String getCheckUnit()
    {
        return checkUnit;
    }
    public void setSafeClass(String safeClass)
    {
        this.safeClass = safeClass;
    }

    public String getSafeClass()
    {
        return safeClass;
    }
    public void setReportNo(String reportNo)
    {
        this.reportNo = reportNo;
    }

    public String getReportNo()
    {
        return reportNo;
    }
    public void setApproveTime(Date approveTime)
    {
        this.approveTime = approveTime;
    }

    public Date getApproveTime()
    {
        return approveTime;
    }
    public void setChangeTime(Date changeTime)
    {
        this.changeTime = changeTime;
    }

    public Date getChangeTime()
    {
        return changeTime;
    }
    public void setPlantMaint(String plantMaint)
    {
        this.plantMaint = plantMaint;
    }

    public String getPlantMaint()
    {
        return plantMaint;
    }
    public void setEngineer(String engineer)
    {
        this.engineer = engineer;
    }

    public String getEngineer()
    {
        return engineer;
    }
    public void setWeldNumber(String weldNumber)
    {
        this.weldNumber = weldNumber;
    }

    public String getWeldNumber()
    {
        return weldNumber;
    }
    public void setLayingMethod(String layingMethod)
    {
        this.layingMethod = layingMethod;
    }

    public String getLayingMethod()
    {
        return layingMethod;
    }
    public void setAdiabatic(String adiabatic)
    {
        this.adiabatic = adiabatic;
    }

    public String getAdiabatic()
    {
        return adiabatic;
    }
    public void setAntiCorrosion(String antiCorrosion)
    {
        this.antiCorrosion = antiCorrosion;
    }

    public String getAntiCorrosion()
    {
        return antiCorrosion;
    }
    public void setAdiabaticThickness(String adiabaticThickness)
    {
        this.adiabaticThickness = adiabaticThickness;
    }

    public String getAdiabaticThickness()
    {
        return adiabaticThickness;
    }
    public void setIsDanger(String isDanger)
    {
        this.isDanger = isDanger;
    }

    public String getIsDanger()
    {
        return isDanger;
    }
    public void setInstallDate(Date installDate)
    {
        this.installDate = installDate;
    }

    public Date getInstallDate()
    {
        return installDate;
    }
    public void setYearWarnDate(Date yearWarnDate)
    {
        this.yearWarnDate = yearWarnDate;
    }

    public Date getYearWarnDate()
    {
        return yearWarnDate;
    }
    public void setYearNextWarnDate(Date yearNextWarnDate)
    {
        this.yearNextWarnDate = yearNextWarnDate;
    }

    public Date getYearNextWarnDate()
    {
        return yearNextWarnDate;
    }
    public void setYearReportNo(String yearReportNo)
    {
        this.yearReportNo = yearReportNo;
    }

    public String getYearReportNo()
    {
        return yearReportNo;
    }
    public void setIsRepeat(Long isRepeat)
    {
        this.isRepeat = isRepeat;
    }

    public Long getIsRepeat()
    {
        return isRepeat;
    }
    public void setType(Long type)
    {
        this.type = type;
    }

    public Long getType()
    {
        return type;
    }
    public void setPosition(String position)
    {
        this.position = position;
    }

    public String getPosition()
    {
        return position;
    }
    public void setDeviceSize(Long deviceSize)
    {
        this.deviceSize = deviceSize;
    }

    public Long getDeviceSize()
    {
        return deviceSize;
    }
    public void setLeakageMode(String leakageMode)
    {
        this.leakageMode = leakageMode;
    }

    public String getLeakageMode()
    {
        return leakageMode;
    }
    public void setArchives(String archives)
    {
        this.archives = archives;
    }

    public String getArchives()
    {
        return archives;
    }
    public void setDevId(Long devId)
    {
        this.devId = devId;
    }

    public Long getDevId()
    {
        return devId;
    }
    public void setHiType(Long hiType)
    {
        this.hiType = hiType;
    }

    public Long getHiType()
    {
        return hiType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("unit", getUnit())
            .append("devname", getDevname())
            .append("devno", getDevno())
            .append("submitdate", getSubmitdate())
            .append("status", getStatus())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .append("approveStatus", getApproveStatus())
            .append("regno", getRegno())
            .append("useno", getUseno())
            .append("warnDate", getWarnDate())
            .append("warnCycle", getWarnCycle())
            .append("nextWarnDate", getNextWarnDate())
            .append("warnFlag", getWarnFlag())
            .append("grade", getGrade())
            .append("designer", getDesigner())
            .append("installer", getInstaller())
            .append("material", getMaterial())
            .append("dia", getDia())
            .append("scheduleNo", getScheduleNo())
            .append("length", getLength())
            .append("starting", getStarting())
            .append("ending", getEnding())
            .append("desPressure", getDesPressure())
            .append("desTemp", getDesTemp())
            .append("optPressure", getOptPressure())
            .append("optTemp", getOptTemp())
            .append("medium", getMedium())
            .append("checkConclusion", getCheckConclusion())
            .append("checkUnit", getCheckUnit())
            .append("safeClass", getSafeClass())
            .append("reportNo", getReportNo())
            .append("approveTime", getApproveTime())
            .append("changeTime", getChangeTime())
            .append("plantMaint", getPlantMaint())
            .append("engineer", getEngineer())
            .append("weldNumber", getWeldNumber())
            .append("layingMethod", getLayingMethod())
            .append("adiabatic", getAdiabatic())
            .append("antiCorrosion", getAntiCorrosion())
            .append("adiabaticThickness", getAdiabaticThickness())
            .append("isDanger", getIsDanger())
            .append("installDate", getInstallDate())
            .append("yearWarnDate", getYearWarnDate())
            .append("yearNextWarnDate", getYearNextWarnDate())
            .append("yearReportNo", getYearReportNo())
            .append("isRepeat", getIsRepeat())
            .append("type", getType())
            .append("position", getPosition())
            .append("deviceSize", getDeviceSize())
            .append("leakageMode", getLeakageMode())
            .append("archives", getArchives())
            .append("devId", getDevId())
            .append("hiType", getHiType())
            .toString();
    }
}
